EVEMU-DESCRIBE(1)

NAME
evemu-describe, evemu-record - print information and events from an input device

SYNOPSIS

evemu-describe [/dev/input/eventX] [output file]

evemu-record [--autorestart=s] [/dev/input/eventX] [output file]

DESCRIPTION

evemu-describe gathers information about the input device and prints it to stdout. This information can be parsed by evemu-device(1) to create a virtual input device with the same properties.

evemu-record captures events from the input device and prints them to stdout. The events can be parsed by evemu-play(1) to let a virtual input device created with evemu-device(1) emit the exact same event sequence.

evemu-describe and evemu-record need to be able to read from the device; in most cases this means they must be run as root.

If an event node is provided, evemu-describe and evemu-record use that event node. Otherwise, the user must interactively choose from a list of detected devices.

If no output file is given, stdout is used.

OPTIONS

    --autorestart=<s>
          Terminate the current recording after <s> seconds of device
          inactivity. This option requires an output, the file is suffixed
          with the date and time of the recording's start.
          The timeout must be greater than 0.

DIAGNOSTICS

If evtest-record does not see any events even though the device is being used, the device may be grabbed by a process (EVIOCGRAB). This is usually the case when debugging a synaptics or wacom device from within X. VT switching to a TTY or shutting down the X server terminates this grab and the devices can be recorded. For most X drivers, disabling the device also removes the grab.

The following command shows the processes with an open file descriptor on the device.

    fuser -v /dev/input/eventX

SEE ALSO

evemu-device(1) evemu-play(1)

AUTHOR

evemu was written by Henrik Rydberg <rydberg@euromail.se[1]>

NOTES

1.  rydberg@euromail.se
    mailto:rydberg@euromail.se